<img width="120" height="120" align="left" src="https://raw.githubusercontent.com/jokeruarwentto/HideInterface/main/assets/hideinterface.png" alt="HideInterface Logo">

#### V Rising - Client Plugin

# HideInterface

### Description

Toggle the game interface with F11 key, now with an keybinding through in-game settings to set your own custom key!

### Features
🗒️ Configurable

⚙️ Hot reloading with [Wetstone API](https://v-rising.thunderstore.io/package/molenzwiebel/Wetstone/)

### Screenshots
![With interface](https://i.imgur.com/pQv9MaU.png)
![Without interface](https://i.imgur.com/KpRqrvp.png)

### Installation
- Install [BepInExPack V Rising](https://v-rising.thunderstore.io/package/BepInEx/BepInExPack_V_Rising/)
- Install [Wetstone API](https://v-rising.thunderstore.io/package/molenzwiebel/Wetstone/)
- Extract ``me.arwent.HideInterface.dll`` folder into _(VRising folder)/BepInEx/plugins_ or _(VRising folder)/BepInEx/WetstonePlugins_

### Configuration
HideInterface supports the following configuration settings, available in `me.arwent.HideInterface.cfg`

Plugin Options:
- `Enabled` [default `true`]: Whether to enable this plugin
- `IncludeVersionWatermark` [default `true`]: Hide the version watermark at the bottom right of the screen when toggling interface

Client Options:
- HideInterface keybinding can be configured through the in-game settings screen.

### Support
- [V Rising Mod Community](https://discord.gg/CWzkHvekg3) and ping `@Arwent#6190`
- Post an issue on the [Github repository](https://github.com/jokeruarwentto/HideInterface)

### Changelog
`1.2.0` Using [Wetstone API](https://v-rising.thunderstore.io/package/molenzwiebel/Wetstone/) for in-game keybind configuration and hot reloading

`1.1.0` Added a configuration file for custom key and if you wish to hide the version watermark at the bottom right of the game

`1.0.0` First release